Subject: [bug#29781] [PATCH 1/2] gnu: gpgme: Build with the latest GnuPG.

From: Leo Famulari <[email-masked]>
Date: Wed, 20 Dec 2017 16:43:13 -0500

On Wed, Dec 20, 2017 at 02:28:01PM +0100, Ludovic Courtès wrote:
> Leo Famulari <[email-masked]> skribis:
> 
> > * gnu/packages/gnupg.scm (gpgme)[inputs]: Use the latest gnupg and make
> > it a native-input.
> 
> I’m surprised gpgme doesn’t retain a reference to gpg.
> 
> Apparently, ‘dirinfo.gpg_name’ in src/dirinfo.c contains the file name
> of the ‘gpg’ executable.
> 
> I can’t find what its default value is, but I think we should be
> recording the absolute file name of ‘gpg’ as the default value.
> 
> Thoughts?

Good point. I pushed 0e06bec250f which uses the latest GnuPG package and
makes GPGME use that particular GnuPG.